RemappingFieldAdapter (ASM 5.0.4 Documentation)
Date: 2015-09-18

org.objectweb.asm.commons

## Class RemappingFieldAdapter

- java.lang.Object
- - org.objectweb.asm.FieldVisitor
  - - org.objectweb.asm.commons.RemappingFieldAdapter

-     public class RemappingFieldAdapter
      extends FieldVisitor

  A `FieldVisitor` adapter for type remapping.
  Author:
    Eugene Kuleshov

- - ### Field Summary

    - ### Fields inherited from class org.objectweb.asm.FieldVisitor

      `api, fv`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `` | `RemappingFieldAdapter(FieldVisitor fv, Remapper remapper)`
    `protected` | `RemappingFieldAdapter(int api, FieldVisitor fv, Remapper remapper)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `AnnotationVisitor` | `visitAnnotation(String desc, boolean visible)` Visits an annotation of the field.
    `AnnotationVisitor` | `visitTypeAnnotation(int typeRef, TypePath typePath, String desc, boolean visible)` Visits an annotation on the type of the field.

    - ### Methods inherited from class org.objectweb.asm.FieldVisitor

      `visitAttribute, visitEnd`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### RemappingFieldAdapter

          public RemappingFieldAdapter(FieldVisitor fv,
                               Remapper remapper)

    - #### RemappingFieldAdapter

          protected RemappingFieldAdapter(int api,
                               FieldVisitor fv,
                               Remapper remapper)

  - ### Method Detail

    - #### visitAnnotation

          public AnnotationVisitor visitAnnotation(String desc,
                                          boolean visible)

      Description copied from class: `FieldVisitor`
      Visits an annotation of the field.
      Overrides:
        `visitAnnotation` in class `FieldVisitor`
      Parameters:
        `desc` - the class descriptor of the annotation class.
        `visible` - `true` if the annotation is visible at runtime.
      Returns:
        a visitor to visit the annotation values, or `null` if this visitor is not interested in visiting this annotation.

    - #### visitTypeAnnotation

          public AnnotationVisitor visitTypeAnnotation(int typeRef,
                                              TypePath typePath,
                                              String desc,
                                              boolean visible)

      Description copied from class: `FieldVisitor`
      Visits an annotation on the type of the field.
      Overrides:
        `visitTypeAnnotation` in class `FieldVisitor`
      Parameters:
        `typeRef` - a reference to the annotated type. The sort of this type reference must be `FIELD`. See `TypeReference`.
        `typePath` - the path to the annotated type argument, wildcard bound, array element type, or static inner type within 'typeRef'. May be `null` if the annotation targets 'typeRef' as a whole.
        `desc` - the class descriptor of the annotation class.
        `visible` - `true` if the annotation is visible at runtime.
      Returns:
        a visitor to visit the annotation values, or `null` if this visitor is not interested in visiting this annotation.